org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPParameterPackType

All Superinterfaces:
  java.lang.Cloneable, IType

    public interface ICPPParameterPackType
    extends IType

A parameter pack is not actually a type, however we model it as such in order to be able to represent function-types that contain parameter packs.

Since:
  5.2

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IType

`EMPTY_TYPE_ARRAY, TYPE_MATCHER`

### Method Summary

All Methods Instance Methods Abstract Methods
`IType` `getType()` Returns the pattern for the pack-expansion

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IType

`clone, isSameType`

### Method Detail

#### getType

    IType getType()

Returns the pattern for the pack-expansion